mobileactivation.h File Reference

## Description

Handle device activation and deactivation.

## Macros

#define | MOBILEACTIVATION_SERVICE_NAME "com.apple.mobileactivationd"
| Service identifier passed to lockdownd_start_service() to start the mobile activation service.

## Typedefs

typedef mobileactivation_client_private * | mobileactivation_client_t
| The client handle.

## Enumerations

enum | mobileactivation_error_t { MOBILEACTIVATION_E_SUCCESS = 0 , MOBILEACTIVATION_E_INVALID_ARG = -1 , MOBILEACTIVATION_E_PLIST_ERROR = -2 , MOBILEACTIVATION_E_MUX_ERROR = -3 , MOBILEACTIVATION_E_UNKNOWN_REQUEST = -4 , MOBILEACTIVATION_E_REQUEST_FAILED = -5 , MOBILEACTIVATION_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions

LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_client_new (idevice_t device, lockdownd_service_descriptor_t service, mobileactivation_client_t *client)
| Connects to the mobileactivation service on the specified device.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_client_start_service (idevice_t device, mobileactivation_client_t *client, const char *label)
| Starts a new mobileactivation service on the specified device and connects to it.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_client_free (mobileactivation_client_t client)
| Disconnects a mobileactivation client from the device and frees up the mobileactivation client data.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_get_activation_state (mobileactivation_client_t client, plist_t *state)
| Retrieves the device's activation state.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_create_activation_session_info (mobileactivation_client_t client, plist_t *blob)
| Retrieves a session blob required for 'drmHandshake' via albert.apple.com.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_create_activation_info (mobileactivation_client_t client, plist_t *info)
| Retrieves the activation info required for device activation.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_create_activation_info_with_session (mobileactivation_client_t client, plist_t handshake_response, plist_t *info)
| Retrieves the activation info required for device activation in 'session' mode.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_activate (mobileactivation_client_t client, plist_t activation_record)
| Activates the device with the given activation record.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_activate_with_session (mobileactivation_client_t client, plist_t activation_record, plist_t headers)
| Activates the device with the given activation record in 'session' mode.
LIBIMOBILEDEVICE_API mobileactivation_error_t | mobileactivation_deactivate (mobileactivation_client_t client)
| Deactivates the device.